[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TControlScrollBar.HandleAllocated

True when the associated TScrollingWinControl and its handle are valid.

## Declaration

Source position: forms.pp line 123

`protected function TControlScrollBar.HandleAllocated: Boolean; virtual;`

## Function result

True when the associated TScrollingWinControl and its handle are valid.

## Description

Used in methods which call LCL interface routines to avoid exceptions resulting from an unassigned control or an invalid handle value.